Erstellt vor 7 Jahren

Geschlossen vor 6 Jahren

Zuletzt geändert vor 5 Jahren

#1129 closed enhancement (fixed)

[openvpn] Webinterface überarbeitet

Erstellt von: schlimmchen Verantwortlicher: MaxMuster
Priorität: normal Meilenstein: freetz-2.0
Komponente: webinterface Version: devel
Stichworte: openvpn webui Beobachter:
Product Id: Firmware Version:

Beschreibung

Es hat damit angefangen, dass ich fand, die Experteneinstellungen sollten mit Einheiten versehen sein. Dann hab ich gesehen, was man alles besser machen konnte. Ich hab es on-the-fly aufgeschrieben:

  • angabe von einheiten hinzugefügt
  • <small> ersetzt mit <span>, stylesheet eingeführt
  • fix some <label for="…"> tags
  • added a lot <label> tags
  • fix "mit lan brücken" beeing visible when loading page, although tun has been selected
  • fix checkbox "hide links to certificate" beeing visible for default configuration
  • fehlende closing tags ergänzt
  • html formatierung komplett überarbeitet, lesbarkeit verbessert
  • javscript code neu formatiert (mischmasch aus tabs und spaces vereinheitlicht, lesbarkeit verbessert)
  • Übersetzungsfehler behoben, ausdrucksstärkere Hilfetexte
  • sinnvolle maxlength einträge ergänzt/korrigiert (zb. 15 anstatt 16 bei IP boxen, 2 anstatt 1 bei verbosity)
  • size attribute der textboxen angepasst
  • trailing spaces entfernt
  • use css rather than   to align stuff
  • <br /> und <br/> korrigiert

Ich hoffe, ein solcher Rundumschalg wird überhaupt akzeptiert… :/

Es handelt sich um die make/openvpn/files/root/usr/lib/cgi-bin/openvpn.cgi. Im Anhang ein Patch und die ganze openvpn.cgi sowie ein Screenshot. Der Patch lässt sich praktisch nicht lesen, weil ich zu viel geändert habe.

Anhänge (15)

ovpn_webui.png (178.1 KB) - hinzugefügt von schlimmchen vor 7 Jahren.
openvpn.cgi.patch (100.2 KB) - hinzugefügt von schlimmchen vor 7 Jahren.
openvpn.cgi (54.8 KB) - hinzugefügt von schlimmchen vor 7 Jahren.
Schlimmchen_GUI_01.png (8.8 KB) - hinzugefügt von MaxMuster vor 7 Jahren.
Eine "Unschönheit"
openvpn_cgi_20110110.patch (95.5 KB) - hinzugefügt von MaxMuster vor 7 Jahren.
GUI-Patch (eigentlich von "schlimmchen")
openvpn_newcgi_20110110.tgz (9.4 KB) - hinzugefügt von MaxMuster vor 7 Jahren.
Zwei mögliche neue GUI-Ansätze - Tar-File
openvpn_config_make_20110110.patch (6.8 KB) - hinzugefügt von MaxMuster vor 7 Jahren.
Zwei mögliche neue GUI-Ansätze - Patch für Makefile und Menuconfig
OpenVPN_NewGUI_1.png (113.0 KB) - hinzugefügt von MaxMuster vor 7 Jahren.
Screenshot GUI Entwurf 1
OpenVPN_NewGUI_2.png (88.4 KB) - hinzugefügt von MaxMuster vor 7 Jahren.
Screenshot GUI Entwurf 2
Patch-Bild.PNG (96.6 KB) - hinzugefügt von MaxMuster vor 7 Jahren.
Screenshot_Patch
openvpn_config_make_20110119_1.patch (7.1 KB) - hinzugefügt von MaxMuster vor 7 Jahren.
angepasster Patch für openvon.mk und Config.in
mk_configin.tgz (2.6 KB) - hinzugefügt von MaxMuster vor 7 Jahren.
Tar-File mit den Dateien " make/openvpn/Config.in" und "make/openvpn/openvpn.mk"
fix_openvpngui_type.patch (1.4 KB) - hinzugefügt von MaxMuster vor 7 Jahren.
openvpn_conf.patch (12.9 KB) - hinzugefügt von MaxMuster vor 6 Jahren.
Some small fixes and improvements to "openvpn_conf"
openvpn_conf_fix_tun_7390.patch (656 Byte) - hinzugefügt von MaxMuster vor 6 Jahren.

Alle Anhänge herunterladen als: .zip

Änderungshistorie (53)

Geändert vor 7 Jahren durch schlimmchen

Geändert vor 7 Jahren durch schlimmchen

Geändert vor 7 Jahren durch schlimmchen

comment:1 als Antwort auf: ↑ description ; Antwort: Geändert vor 7 Jahren durch MaxMuster

Replying to schlimmchen:

Es hat damit angefangen, dass ich fand …

… so ist auch diese Version aus dem "Vorgänger" entstanden, mit dem Unterschied, dass ich weder von JS noch HTML/CSS wirklich Ahnung hatte, und das während des "Neuschreibens" parallel "lernen" musste (und das sieht man ;-))

Ich hoffe, ein solcher Rundumschalg wird überhaupt akzeptiert… :/

Wirklich im Detail habe ich es noch nicht angesehen; aber aus meiner kurzen drauf-Sicht auf jeden Fall ein guter Ansatz (ein paar Dinge könnte man noch immer verbessern ;-)).
Wenn mehrere Leute ein Auge auf ein Paket haben und auch gerne "Mitmachen" ist das immer sinnig: So war mir garnicht klar, dass ich ein paar bei mir längst "korrigierte" Dinge (z.B. die "falsche" Sichtbarkeit von Checkboxen beim Laden) noch garnicht "weitergegeben hatte"…

Grundsätzlich bin ich aber noch immer mit mir am Kämpfen, ob das OVPN-Paket nicht besser komplett neu aufgesetzt werden sollte, mich stört da jetzt doch einiges dran, nicht nur an der GUI, auch an der "Multikonfig-Behandlung", aber die Zeit…

Ich habe da schon ein paar "Prototypen" gebaut, im Prinzip möchte ich die "GUI" für Standard-Situationen lassen (und viele Schalter und Optionen rausnehmen), und die Config als "Textfeld" eingeben.
Ich hatte gedacht, dass man vielleicht eine Untermenge der GUI übernimmt und da schon in der GUI mit "Knopfdruck" per JS die "Grund-Konfig" bauen lassen kann, die man dann ggf. von Hand im Textfenster ändern/ergänzen kann…

Wenn ich mal dazu komme, hänge ich mal was dazu an, wenn gewünscht.

comment:2 als Antwort auf: ↑ 1 ; Antwort: Geändert vor 7 Jahren durch schlimmchen

Replying to MaxMuster:

Grundsätzlich bin ich aber noch immer mit mir am Kämpfen, ob das OVPN-Paket nicht besser komplett neu aufgesetzt werden sollte, mich stört da jetzt doch einiges dran, nicht nur an der GUI, auch an der "Multikonfig-Behandlung", aber die Zeit…

Ich persönlich finde das Paket super, es funktioniert ja einwandfrei. Daher halte ich es eigentlich nicht für notwendig, das Backend zu verändern (allerdings habe ich auch nicht genau hingesehen). Die GUI fand ich nunmal verbesserungsfähig.

Wie die Behandlung mehrerer Konfigurationen aussieht, weiß ich nicht im Detail und ich hab sie auch nur oberflächlich getestet. Dass man die Konfiguration per als ganzes ändern kann, halte ich im Grunde für eine gute Idee, aber kann man das nicht einfach dazubauen?

comment:3 Geändert vor 7 Jahren durch cuma

OpenVPN hat so seine Merkwürdigkeiten, siehe #1115. Das es aber anscheinend funktioniert ist das nicht so dringend.
Gibt es noch Rückmeldungen (MaxMuster?) zum Patch oben? Ich nutze kein OpenVPN

comment:4 Geändert vor 7 Jahren durch MaxMuster

So ein paar Dinge hätte ich noch anzumerken (eins im Beispiel), ist momentan aber nicht so der Zeitpunkt für längere Computersitzungen ;-)

Zuletzt geändert vor 7 Jahren von MaxMuster (vorher) (Diff)

Geändert vor 7 Jahren durch MaxMuster

Eine "Unschönheit"

comment:5 als Antwort auf: ↑ 2 Geändert vor 7 Jahren durch MaxMuster

Replying to schlimmchen:

… Daher halte ich es eigentlich nicht für notwendig, das Backend zu verändern (allerdings habe ich auch nicht genau hingesehen)
[…] Wie die Behandlung mehrerer Konfigurationen aussieht, weiß ich nicht im Detail und ich hab sie auch nur oberflächlich getestet.

Der meiste "Aufwand" in der GUI (an der du auch rumgeschraubt hast ;-)) entsteht, weil ich "dynamische" Ergänzung von weiteren Konfigs zulasse. Deshalb muss ich beim Laden die Konfigs "auseinanderdröseln" und jeweils die aktive anzeigen, beim Umschalten auf eine andere analog alle Felder mit der gerade aktuellen Konfig belegen… Das ganze dynamische Anpassen der jeweils (un-)sichtbaren Felder und Optionen abhängig von den gewählten Einstellungen ist dagegen fast schon "simpel" ;-).

Ähnliches gilt für das Starten und Stoppen der Dienste.

Die Tatsache, dass ich keine feste Grenze eingeben wollte (sagen wir mal: drei mögliche Konfigs) hat mich an den Stellen ganz schön gefordert und z.T. etwas unschöne Wege erfordert. Der Aufwand spiegelt sich auch in einer ziemlichen Größe der GUI wieder (die durch deine Ergänzungen nochmal zugelegt hat).

Hinzu kommt, dass immer wieder jemand "andere" Konfigs erstellen möchte, als die, wie sie die GUI macht. Die Standardantwort ist dann: Die GUI ist für die ONU (Otto-Normal-User), wer was anderes benötigt, sollte in der Lage sein, dass auch ohne die GUI hinzukriegen.

Meine (neue) Idee war daher: Die "GUI" steht nur noch für die "Standarddinge" bereit (also z.B. ohne die Expertenoptionen). Wenn ich dort was eingetragen habe, kann ich per Click daraus eine Config im "Textfeld" erzeugen lassen und diese ganz nach belieben erweitern. Oder eben auch direkt eine vorhandene Konfig einfach dort rein-kopieren.

Insgesamt ist mir die GUI einfach zu "aufgeblasen" für das, was sie eigentlich tun soll. Änderungen sind da echt schon eine Herausforderung und deshalb dachte ich an einen "Neuanfang", der allerdings etwas "Komfort" vermissen ließe, um schlanker zu werden.

comment:6 Geändert vor 7 Jahren durch oliver

@MaxMuster
Wie siehts mit dem Patch von schlimmchen aus? Soll der in den trunk oder kümmerst du dich demnächst um die angesprochene Überholung? Dann würde ich das Ticket auf später verschieben.

comment:7 Geändert vor 7 Jahren durch MaxMuster

Im Prinzip ist das o.k., ein paar Dinge würd' ich noch etwas anders machen, gib mir noch ein paar Tage, dann schau ich da nochmal drüber.

Eine "größere Änderung" (wie angedacht) kann dann ja später kommen, wohl besser in einem anderen Ticket.

Was mich momentan am "meisten stört", ist dass das "hübsch machen" das ohnehin schon große Paket nochmal etwas mehr aufbläht…

comment:8 Geändert vor 7 Jahren durch MaxMuster

So, hier bin ich erstmal mit einem Patch, der fast mit dem von Schlimmchen identisch sein sollte..

Geändert vor 7 Jahren durch MaxMuster

GUI-Patch (eigentlich von "schlimmchen")

comment:9 Geändert vor 7 Jahren durch MaxMuster

  • Status von new nach assigned geändert
  • Verantwortlicher auf MaxMuster gesetzt

jetzt aber auch noch meine neuen "Erweiterungen", vielleicht möchte das ja mal jemand testen. Es gibt einen Patch für Config.in und openvpn.mk, indem die neuen GUI-Versionen wählbar sind (und das cgi-File von Schlimmchen wird mit ein paar seds im Image "kleiner aber unlesbarer", was ich auf der Box vertretbar finde.)

Das Tar-File sind dann zwei "alternative" Entwürfe, der erste noch deutlich näher am "alten" mit einigen Tricks.

Der zweite Ansatz ist "radikaler". Er nutzt ziemlich konsequent nur das eine Paket und leitet davon eventuelle weitere Configs ab. Die einzige "Trickserei" dabei ist, dass im "openvpn.save" der Aufruf von "modcgi" überladen wird. Damit können dann alle "abgeleiteten Pakete" mit den Variablen "OPENVPN_<WAS_AUCH_IMMER>" arbeiten.

Momentan ist beim zweiten Ansatz noch keine "Generierung einer weiteren Konfig per GUI" möglich. Das kann man aber recht einfach mit einem Aufruf wie

echo  ovpn_Config2 >> /tmp/flash/openvpn/configs
modsave flash

eine weitere Konfig mit Namen "ovpn_Config2" resetfest abspeichern. In der Shell geht das mit /etc/default.openvpn/generate_virtual_pkg ovpn_Config2 .

Geändert vor 7 Jahren durch MaxMuster

Zwei mögliche neue GUI-Ansätze - Tar-File

Geändert vor 7 Jahren durch MaxMuster

Zwei mögliche neue GUI-Ansätze - Patch für Makefile und Menuconfig

Geändert vor 7 Jahren durch MaxMuster

Screenshot GUI Entwurf 1

Geändert vor 7 Jahren durch MaxMuster

Screenshot GUI Entwurf 2

comment:10 Geändert vor 7 Jahren durch JMC

@MaxMuster:
Da ich derzeit noch nicht zuhause bin um den patch zu probieren: Sehe ich es richtig, dass die experteneinstellungen eingedampft worden sind? Du hast ja geschrieben, dass du die GUI "kürzen" willst. Wäre dann also so, dass die erweiterten Einstellungen oben von hand dann quasi rangehangen werden müssen?

comment:11 Geändert vor 7 Jahren durch MaxMuster

@JMC: Genau so war es gedacht. Es gibt dann einen "Mini-Generator", der eine Minimale-Rumpf-Konfig erzeugen kann, die bisherigen "Experteneinstellungen" müssten dann "von Hand" in dem Configurations-Textfeld geändert/oder ergänzt werden.

comment:12 Geändert vor 7 Jahren durch oliver

Hatte schon jemand Zeit die Patches von Jörg zu testen? Gibt es Meinungen dazu?

comment:13 Geändert vor 7 Jahren durch JMC

Damit der patch in der aktuellen trunk version noch klappt gehört das hier noch in Zeile 21 des patchfile:

 $(PKG)_REBUILD_SUBOPTS += FREETZ_TARGET_IPV6_SUPPORT

Teste dann mal morgen was rum

comment:14 Geändert vor 7 Jahren durch JMC

Ich bekomm das neue interface garnicht erst?
hab GUI2 ausgewählt, habe aber das alte webif

  • ganz neu ausgecheckt in nem extra ordner
  • patch um die zeile oben ergänzt und angewendet (ohne probleme)
  • entsprechende Einträge tauchen auch im menuconfig auf
  • gui im freetzwebif bleibt aber die alte

comment:15 Geändert vor 7 Jahren durch MaxMuster

Hast du auch "beides" gemacht (das tar-File ausgepackt und den Patch angewandt)?
Sonst könntest du mal im "openvpn.mk" in Zeile 63 ("@if [ -d $(OPENVPN_DEST_DIR)_new -a ….") das @ vor dem "if" entfernen um etwas mehr zu sehen, was da vor- (und ggf. schief-) geht.

comment:16 Geändert vor 7 Jahren durch JMC

Zuerst nicht, ich gebs ja zu ;)

Aber in zeile 63 gibts bei mir in der openvpn.mk nichts was in richtung _new geht (bzw genauer gesagt gibts garkein einziges mal das Wort _new in meinem (gepatchten) makefile?
Im Menu hab ich die Auswahlmöglichkeiten aber schon… Ich versteh nicht warum das Patchfile nicht komplett angewendet wird?

Ich check jetzt zum dritten mal neu aus… ich berichte dann später

Edit:
Es geht nicht. Es wird nur der erste Teil des Patches angewendet im makefile, der zweite Teil wird nicht eingetragen…

Edit2:
Selbst mit selbsteditiertem makefile mit den änderungen ausm patchfile klappts nicht :(

Zuletzt geändert vor 7 Jahren von JMC (vorher) (Diff)

comment:17 Geändert vor 7 Jahren durch MaxMuster

Ich meinte diesen Part (siehe Bild). Wenn der Patch durchläuft, sollte das drin sein…

Ansonsten schaffe ich es wohl erst morgen, ggf. ein "komplettes" openvpn.mk anzuhängen…

Geändert vor 7 Jahren durch MaxMuster

Screenshot_Patch

comment:18 Geändert vor 7 Jahren durch JMC

Ich weiß - aber bei mir wird der Teil nicht im openvpn.mk angehangen - von hand reingebaut erscheint trotzdem keine neue gui… Ich hab mehrfach komplett neu ausgecheckt - vielleicht liegts ja auch an mir? Im menuconfig tauchen die neuen einstellungen auf, also muss die config.in patchen ja geklappt haben (ok, der obere teil vom openvpn.mk wird auch gepatcht, sprich maximale configzahl)

comment:19 Geändert vor 7 Jahren durch MaxMuster

Hab es gerade auf einem anderen PC nochmal getestet. Den Patch musste ich anpassen (neuer angehängt) aber die neue GUI wurde mit dem obrigen "tgz" korrekt gebaut…

Im Patch habe ich einen Komprimierungs-Teil rausgenommen, der ohne geänderte GUI (also im Trunk) nicht funktioniert.

Ich hänge "für alle Fälle" noch make/Config.in und make/openvpn.mk in einem tgz an.

Zum "Trubelschießen":Sind die Ordner "make/openvpn/files/root_new" und "make/openvpn/files/root_new2" vorhanden?
Hast du mal das "@" entfernt?

Jörg

Geändert vor 7 Jahren durch MaxMuster

angepasster Patch für openvon.mk und Config.in

Geändert vor 7 Jahren durch MaxMuster

Tar-File mit den Dateien " make/openvpn/Config.in" und "make/openvpn/openvpn.mk"

comment:20 Geändert vor 7 Jahren durch JMC

Mit dem neuen Patch klappts

Die zweite Variante der GUI erscheint mir etwas komisch - wie bekomme ich denn da meherere gleichzeitige Server-Verbindungen hin (also die box als client).

In der Hinsicht ist die erste Variante besser.

Was ich noch etwas vermisse ist eine einzige Option aus dem ehemaligen "advanced" Bereich… Im Client-Mode die IP-Config vom Server zu empfangen.

Werde morgen nochwas rumtesten bezüglich Funktionstüchtigkeit

comment:21 Geändert vor 7 Jahren durch MaxMuster

Wie das geht (und auch, dass es dafür noch keinen "Knopf" gibt) steht in comment:9 :

Momentan ist beim zweiten Ansatz noch keine "Generierung einer weiteren Konfig per GUI" möglich. Das kann man aber recht einfach mit einem Aufruf wie

echo  ovpn_Config2 >> /tmp/flash/openvpn/configs
modsave flash

eine weitere Konfig mit Namen "ovpn_Config2" resetfest abspeichern. In der Shell geht das mit /etc/default.openvpn/generate_virtual_pkg ovpn_Config2 .

IP-Empfangen geht mit "pull", das könnte ich ggf. noch als Alternative zu den festen IP's mit in den "Generator" aufnehmen…

Zuletzt geändert vor 7 Jahren von MaxMuster (vorher) (Diff)

comment:22 Geändert vor 7 Jahren durch JMC

  • GUI 1: Der Punkt erweiterte Clientkonfiguration könnte evtl. ausgeblendet werden wenn als Typ client ausgewählt wird. Auf der anderen Seite wäre das wieder etwas, dass das auslesen der Configs beim wechsel nach sich ziehen würde das du ja eigentlich vermeiden wolltest.
  • Wie beschrieben als Client wäre noch die pull option interessant statt der IP-Eingabe
  • Das speichern weiterer Zertifikate ist über die GUI nicht möglich - lediglich für die erste Config

Ich würde vorschlagen openvpn_cgi_20110110.patch in den Trunk zu nehmen anstatt einer der beiden neuen guis. Sicherlich ist die neue gui abgespeckter und damit auch kleiner, die Frage ist ob man den Komfort einbüst um ein paar B zu sparen. Auf neueren Boxen ist das sicherlich sowieso nicht mehr relevant von der Größe her, auf den 7170 die ich im einsatz hatte hats bei mir aber noch nie probleme gegeben. Sicherlich muss man etwas Platz per remove machen aber ob die B zwischen den beiden GUIs den Unterschied machen?

Was mir noch aufgefallen ist beim openvpn_cgi_20110110.patch: Probiert man mit 2 oder mehr vorhandenen Configs die Default config zu löschen kommt ein Popup das sagt, dass das nicht erlaubt sei. Ist ja auch richtig, allerdings sieht bei mir im Firefox der Umlaut nicht richtig aus → Sonderzeichenwirrwarr. Hat man nur die default und probiert die zu löschen kommt die Meldung, dass es die letzte config sei und daher nicht gelöscht werden könne. Hier ist der Umlaut richtig. Mouseover Info für den löschen knopf zeigt ebenfalls den richtigen Umlaut an?

comment:23 Geändert vor 7 Jahren durch oliver

Und auch hier die Frage: Wie gehts weiter? Ich nutze kein OpenVPN und möchte deshalb auch nicht entscheiden welche Variante zu bevorzugen ist.

@Jörg
Da du dich mit OpenVPN auskennst und auch sehr gut mit dem Paket würde ich die Entscheidung dir überlassen.

comment:24 Geändert vor 7 Jahren durch oliver

@Jörg
ping :-)

comment:25 Geändert vor 7 Jahren durch MaxMuster

Sorry, die erste Anfrage hatte ich überlesen, aber hier mein "Echo reply" ;-)
Momentan schlage ich auch vor, erstmal nur den GUI-Patch (openvpn_cgi_20110110.patch) aufzunehmen, das sollte schon jetzt problemlos funktionieren.

Ich versuche dann mal, eine andere Version mit der neuen GUI zu erstellen; wenn das hiervon unabhängig ist, habe ich etwas mehr "Freiheiten" (und Zeit). Vielleicht ist es ja auch besser, ein Paket "OpenVPN-NG" oder so zu machen, was zum gleichen Programm die neue GUI bringt??

comment:26 Geändert vor 7 Jahren durch oliver

In [6535]:

  • openvpn: Rewrite of webinterface (by schlimmchen and MaxMuster)

comment:27 Geändert vor 7 Jahren durch oliver

  • Meilenstein von freetz-1.2 nach freetz-1.3 geändert

Ich verschieb das dann mal auf 1.3.

comment:28 Geändert vor 7 Jahren durch KBanause

Ich nutze Rev. 6549 und kann über das WI das Device nicht mehr ändern.
Also von TUN zu TAP und umgekehrt.

Zuletzt geändert vor 7 Jahren von KBanause (vorher) (Diff)

comment:29 Geändert vor 7 Jahren durch MaxMuster

… und gerade das hatte ich scheinbar nicht getestet auf einer Box mit brctl ;-). Versuche mal bitte diesen Patch (der "onclick-String" wurde dann vom ersten ' im String mittendrin beendet)…

Geändert vor 7 Jahren durch MaxMuster

comment:30 Geändert vor 7 Jahren durch oliver

In [6617]:

  • openvpn: Fix tun/tap selection (by MaxMuster)

comment:31 Geändert vor 6 Jahren durch oliver

Wie geht's hier weiter? Hat das noch jemand auf dem Schirm oder war der Tenor, dass wir lieber bei der "alten" OpenVPN GUI bleiben?

comment:32 Antwort: Geändert vor 6 Jahren durch MaxMuster

Ich denke, dieses Ticket kann soweit zu, die aktuelle GUI ist ja verändert, was vielleicht noch rein könnte, wäre eine Verbesserung (hoffe ich ;-)) von hier, die ich gleich nochmal als Patch dranhänge.
Mir fehlt ansonsten noch Input zu der Frage, wie man eine "alternative GUI" einbauen könnte (die "alte GUI" sollte bleiben, weil sie sicher für viele User deutlich einfacher ist, deshalb als alternative GUI). Mein Ansatz oben war, im "files" einen "alternativen" root-Ordner mit der anderen GUI zu haben und je nach Auswahl den jeweils nicht genutzten zu löschen.
Wenn sich dazu ein "make-Versteher" äußern könnte, ob das so bleiben kann oder eine Alternative kennt/nennt…

Geändert vor 6 Jahren durch MaxMuster

Some small fixes and improvements to "openvpn_conf"

comment:33 Geändert vor 6 Jahren durch oliver

In [7259]:

  • openvpn: Some small fixes and improvements to "openvpn_conf" (refs #1129)
    • by MaxMuster

comment:34 Geändert vor 6 Jahren durch MaxMuster

Sorry, ist mir echt peinlich, aber damit haben wir den Fix aus [7223] überschreiben, deshalb noch fix ein Fix zum Fix.

Geändert vor 6 Jahren durch MaxMuster

comment:35 Geändert vor 6 Jahren durch oliver

In [7260]:

comment:36 Geändert vor 6 Jahren durch oliver

In [7326]:

[freetz-stable-1.2]: Merge in r7242, r7254, r7256, r7258:7260, r7274, r7277, r7280, r7291, r7300:7303, r7310:7311, r7321, r7325 from trunk (refs #1396):


r7242 | oliver | 2011-07-02 13:50:06 +0200 (Sa, 02. Jul 2011) | 4 Zeilen

  • libfreetz: Update to version 0.5 (refs #61)
    • Fixes libfreetz for older firmwares: 2170, 3070, 3130, 3131, 3170, 7140
    • Should be merged to stable-branch if confirmed
    • by RalfFriedl

r7254 | oliver | 2011-07-05 15:02:57 +0200 (Di, 05. Jul 2011) | 2 Zeilen

  • 7112: Fix alien firmware (missed update)

r7256 | cinereous | 2011-07-05 15:26:46 +0200 (Di, 05. Jul 2011) | 1 Zeile

  • build-prerequisites: Add msgfmt to warnings, because building of binutils-kernel needs it

r7258 | oliver | 2011-07-05 17:13:13 +0200 (Di, 05. Jul 2011) | 1 Zeile

  • Callmonitor: Don't compile on $(pkg) target (nocompile target)

r7259 | oliver | 2011-07-05 17:57:00 +0200 (Di, 05. Jul 2011) | 2 Zeilen

  • openvpn: Some small fixes and improvements to "openvpn_conf" (refs #1129)
    • by MaxMuster

r7260 | oliver | 2011-07-05 19:39:33 +0200 (Di, 05. Jul 2011) | 2 Zeilen


r7274 | oliver | 2011-07-06 11:31:07 +0200 (Mi, 06. Jul 2011) | 1 Zeile
Config.in: FREETZ_TYPE_FON_5124 and FREETZ_TYPE_FON_5140 have AVM libcrypto and libssl


r7277 | er13 | 2011-07-07 08:36:26 +0200 (Do, 07. Jul 2011) | 7 Zeilen
toolchain, gcc/binutils-makefiles:

  • ensure no docs, no man-pages, no NLS-files are built by hacking build-system a bit
  • noticeably speeds up the build-process, eliminates dependency on gettext and intltool
  • don't install gccbug script, it's not necessary, gcc-4.6.x doesn't even provide it
  • refs #842

r7280 | er13 | 2011-07-07 08:50:38 +0200 (Do, 07. Jul 2011) | 3 Zeilen

  • remove dependency on msgfmt, from what I've tested we don't require it anymore

r7291 | oliver | 2011-07-08 11:20:08 +0200 (Fr, 08. Jul 2011) | 1 Zeile

  • Remove obsolete lines from W701V and W900V Alien patches

r7300 | er13 | 2011-07-09 23:31:21 +0200 (Sa, 09. Jul 2011) | 4 Zeilen
uClibc-0.9.3x:

  • add some upstream patches, by dileks
  • refs #842

r7301 | er13 | 2011-07-10 13:12:32 +0200 (So, 10. Jul 2011) | 4 Zeilen
uClibc:

  • rename/reorder patches, fix offsets
  • refs #842

r7302 | er13 | 2011-07-10 13:39:59 +0200 (So, 10. Jul 2011) | 3 Zeilen
freetz_patch, AUTO_FIX_PATCHES mode:

  • change "labels" of the patched files: include filename, omit .orig-suffix and timestamp

r7303 | er13 | 2011-07-10 13:44:57 +0200 (So, 10. Jul 2011) | 2 Zeilen

  • show full uClibc-version in menuconfig, refs #842

r7310 | oliver | 2011-07-11 12:06:36 +0200 (Mo, 11. Jul 2011) | 3 Zeilen

  • onlinechanged: Fix German Umlauts (by JMC)
    • Fix wording
  • fixes #1408

r7311 | oliver | 2011-07-11 12:18:24 +0200 (Mo, 11. Jul 2011) | 1 Zeile

  • Add 2 devices (/dev/ttyACM{0,1}) needed for USB CDC ACM (by adn77)

r7321 | oliver | 2011-07-12 00:43:26 +0200 (Di, 12. Jul 2011) | 1 Zeile

  • usbroot: Set unmount oldroot option default to 'no' because it sometimes causes problems

r7325 | cuma | 2011-07-12 14:14:04 +0200 (Di, 12. Jul 2011) | 1 Zeile
support file: lsmod, mount & /proc/partitions added (refs #1330)


comment:37 als Antwort auf: ↑ 32 Geändert vor 6 Jahren durch cuma

  • Lösung auf fixed gesetzt
  • Status von assigned nach closed geändert

Replying to MaxMuster:

Ich denke, dieses Ticket kann soweit zu

okay

comment:38 Geändert vor 5 Jahren durch cuma

  • Meilenstein von freetz-1.3 nach freetz-2.0 geändert
Hinweis: Hilfe zur Verwendung von Tickets finden Sie in TracTickets.